Base URL: https://demo-api.incodesmile.com — Incode demo environment
Save information indicating that user has accepted terms and conditions and other checks on conference.
Path & query parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
interviewId |
query | string | yes | ID of interview for which consent needs to be given. |
api-version |
header | string | yes |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
conferenceTermAndConditionsAccepted |
boolean | User accepts terms and conditions. | |
creditBureauConsentGiven |
boolean | User accepts credit bureau check. | |
applicantDataConfirmed |
boolean | Executive has verified user data. |
Responses
200
OK
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
success |
boolean | Flag indicating request passed successfully. | |
sessionStatus |
string | Session status Enum: Alive, Closed, Deleted |
400
Bad Request
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
timestamp |
integer (int64) | UTC timestamp in milliseconds | |
status |
integer (int32) | Custom error code or HTTP status code | |
error |
string | HTTP status error | |
message |
string | Custom error message | |
path |
string | Endpoint path | |
details |
object | Custom error details |